    The XSPEC grad model: accretion disk, Schwarzschild black hole.

xsgrad
The xsgrad model is an additive model component.

The model is described at [1] .

The tcltef parameter has been renamed tclovtef to match the XSPEC definition. The name loga can still be used to access the parameter, but this name will be removed in a future release.

>>> create_model_component("xsgrad", "mdl")
>>> print(mdl)

Create a component of the xsgrad model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.D frozen 10 0 10000 kpc mdl.i frozen 0 0 90 deg mdl.Mass thawed 1 0 100 solar mdl.Mdot thawed 1 0 100 1e18 mdl.TclovTef frozen 1.7 1 10 mdl.refflag frozen 1 -1 1 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
D
The distance to the source in kpc.
i
The disk inclination angle, in degrees. A face-on disk has i=0.
Mass
The mass of the central object, in solar masses.
Mdot
The mass accretion rate in units of 10^18 g/s.
TclovTef
The spectral hardening factor, Tcol/Teff. See [1] for more details.
refflag
A flag to control the relativistic effects: if positive then a relativistic calculation is used; if zero or negative then a Newtonian calculation is used. See [1] for more details. This parameter can not be thawed.
norm
The normalization of the model. It should be fixed to 1.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelGrad.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023